Skip to content
vocapable.Docs

Ask Twilio where the registration stands now

POST
/v1/workspace/texting/registration/check
curl --request POST \
--url https://api.vocapable.com/v1/workspace/texting/registration/check \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
WorkspaceA2pRegistration

Where business texting registration stands, in the owner’s words.

object
id
required
Any of:
string
telephony_account_id
required
Any of:
string
stage
required
Stage
string
Allowed values: draft submitting brand_review brand_verification campaign_review active rejected suspended
brand_type
required
Any of:
string
Allowed values: standard low_volume_standard sole_proprietor
headline
required
Headline
string
failed_artefact
required
Any of:
string
failure_reasons
required
Failure Reasons
Array<string>
last_error
required
Any of:
string
sending_enabled
required
Sending Enabled
boolean
manual_override
required
Manual Override
boolean
business
required
Business
object
key
additional properties
any
campaign
required
Campaign
object
key
additional properties
any
numbers
required
Numbers
Array<object>
WorkspaceA2pNumber
object
phone_number_id
required
Phone Number Id
string
phone_e164
required
Phone E164
string
registration
required
Registration
string
Allowed values: registry manual none
selected
required
Selected
boolean
use_cases
required
Use Cases
Array<object>
WorkspaceA2pUseCase
object
code
required
Code
string
label
required
Label
string
fees
required
Fees
Array<object>
WorkspaceA2pFee
object
item
required
Item
string
amount
required
Amount
string
fees_source
required
Fees Source
string
fees_note
required
Fees Note
string
can_edit
required
Can Edit
boolean
can_submit
required
Can Submit
boolean
can_resend_otp
required
Can Resend Otp
boolean
submitted_at
required
Any of:
string format: date-time
approved_at
required
Any of:
string format: date-time
last_checked_at
required
Any of:
string format: date-time
revision
required
Any of:
integer
Example
{
"stage": "draft",
"brand_type": "standard",
"numbers": [
{
"registration": "registry"
}
]
}